﻿using SqlSugar;
using System;
using System.ComponentModel.DataAnnotations;

namespace Falcon.SugarApi.DatabaseDefinitions
{
    /// <summary>
    /// 数据表基类。提供字符串主键，记录状态和创建时间
    /// </summary>
    public abstract class SugarBasicTable3:EntityStringId
    {
        /// <summary>
        /// 记录状态
        /// </summary>
        [Required, MaxLength(10)]
        public string? RecordStatus { get; set; } = RecordStetus.Effective;
        /// <summary>
        /// 创建时间
        /// </summary>
        [Required, SugarColumn(ColumnDescription = "创建时间")]
        public DateTime CreateTime { get; set; } = DateTime.Now;
    }
}
